Package Details: roslyn-git 0.0.0.ab843e50ad-1

Git Clone URL: https://aur.archlinux.org/roslyn-git.git (read-only)
Package Base: roslyn-git
Description: Microsoft's C# compiler and compiler libraries
Upstream URL: https://github.com/dotnet/roslyn
Licenses: Apache
Conflicts: roslyn
Provides: roslyn
Submitter: SirCmpwn
Maintainer: khyperia
Last Packager: khyperia
Votes: 0
Popularity: 0.000000
First Submitted: 2015-02-05 18:06
Last Updated: 2017-10-09 03:29

Dependencies (2)

Required by (0)

Sources (1)

Latest Comments

khyperia commented on 2017-10-10 03:11

I've picked this package up (as I'm a regular contributor to upstream). This is the first AUR package I'm maintaining, so please let me know if something's messed up.

Note that most people probably don't want this package, but rather e.g. the dotnet-sdk-2.0 package. That carries the dotnet CLI (which includes csc/vbc, aka Roslyn). Only install this package if you want a build of csc from the absolute newest master branch of Roslyn. (dotnet-sdk-2.0 is actually a dependency of this package, as a recent C# compiler is needed to compile Roslyn, as Roslyn is written in C#)

SirCmpwn commented on 2017-09-27 17:09

Wow, this is my package? I'm just going to abandon this, if someone else wants to pick it up, by all means do so.

sbrl commented on 2017-09-27 16:41

What's the status of this package?

enckse commented on 2017-03-09 21:47

It doesn't build and it needs a lot of work to build.

1. It should just point at roslyn (not at mono roslyn)
2. As of today - roslyn does not support building in arch, tries to "detect" from /etc/os-release and VERSION_ID
3. needs undocumented libunwind and icu of certain levels for packages
4. At which point if you can apply a patch to override OS and have libunwind/icu installed - the "roslyn" version are not and you'll get a CoreCLR failure

davispuh commented on 2016-01-16 21:01

still doesn't build...

getting loads of these...

obj/Release/Syntax.xml.Generated.cs(66406,67): error CS0246: The type or namespace name `SyntaxToken' could not be found. Are you missing `Microsoft.CodeAnalysis.CSharp.Syntax.InternalSyntax' using directive?
roslyn-git/src/roslyn/src/Compilers/CSharp/CSharpAnalyzerDriver/CSharpDeclarationComputer.cs(15,38): error CS0246: The type or namespace name `DeclarationInfo' could not be found. Are you missing an assembly reference?

J5lx commented on 2015-04-22 22:59

The previous issue can actually be resolved by changing Src to src. However this leads to another issue:

==> Starting build()...
1%{8}%<%t31%e%p1%{16}%<%t9%p1%{8}%-%d%e38;5;1%;mCannot locate a solution file.
1%{8}%<%t37%e%p1%{16}%<%t9%p1%{8}%-%d%e38;5;7%;m==> ERROR: A failure occurred in build().

J5lx commented on 2015-04-22 22:38

Seems like there were some incompatible changes in upstream:

==> Starting build()...
Cannot open assembly 'Src/.nuget/NuGet.exe': No such file or directory.
==> ERROR: A failure occurred in build().